Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJay Soffian <jaysoffian@gmail.com>2009-02-18 16:44:02 +0300
committerJunio C Hamano <gitster@pobox.com>2009-02-18 22:14:04 +0300
commit51b2ead03c8cdc0ddeeca2fb5db14b7bac584337 (patch)
treed028da3376e47d1537518dfa27b8aee4887ed36e
parentb94ead75945fe7dbe8fbfeb48070a6b54d02e318 (diff)
disallow providing multiple upstream branches to rebase, pull --rebase
It does not make sense to provide multiple upstream branches to either git pull --rebase, or to git rebase, so disallow both. Signed-off-by: Jay Soffian <jaysoffian@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
-rwxr-xr-xgit-pull.sh5
-rwxr-xr-xgit-rebase.sh1
2 files changed, 6 insertions, 0 deletions
diff --git a/git-pull.sh b/git-pull.sh
index 2c7f432dc0..25adddfddf 100755
--- a/git-pull.sh
+++ b/git-pull.sh
@@ -171,6 +171,11 @@ case "$merge_head" in
echo >&2 "Cannot merge multiple branches into empty head"
exit 1
fi
+ if test true = "$rebase"
+ then
+ echo >&2 "Cannot rebase onto multiple branches"
+ exit 1
+ fi
;;
esac
diff --git a/git-rebase.sh b/git-rebase.sh
index 6d3eddbada..368c0ef434 100755
--- a/git-rebase.sh
+++ b/git-rebase.sh
@@ -310,6 +310,7 @@ do
esac
shift
done
+test $# -gt 2 && usage
# Make sure we do not have $GIT_DIR/rebase-apply
if test -z "$do_merge"